%define commit      bfce851d4da5a01f24189ba79eac9385b7ce8533
# git log -1 --pretty=format:%%ct
%define timestamp   1699609231

%define shortcommit %(c=%{commit}; echo ${c:0:7})

Name:		qflipper
Version:	1.3.3
Release:	%mkrel 2
Summary:	Desktop application for updating Flipper Zero firmware via PC
Group:		System/Kernel and hardware
License:	GPL-3.0-or-later
URL:		https://flipperzero.one/update
Source0:	https://github.com/flipperdevices/qFlipper/archive/%{version}/qFlipper-%{version}.tar.gz
Source3:	one.flipperzero.qflipper.metainfo.xml
Patch0:		0001-Disable-vendoring-of-nanopb.patch

BuildRequires:	cmake(Qt6Concurrent)
BuildRequires:	cmake(Qt6Core5Compat)
BuildRequires:	cmake(Qt6Core)
BuildRequires:	cmake(Qt6Gui)
BuildRequires:	cmake(Qt6LinguistTools)
BuildRequires:	cmake(Qt6Network)
BuildRequires:	cmake(Qt6QuickControls2)
BuildRequires:	cmake(Qt6SerialPort)
BuildRequires:	cmake(Qt6Svg)
BuildRequires:	cmake(Qt6Widgets)
BuildRequires:	cmake(nanopb)
BuildRequires:	pkgconfig(appstream)
BuildRequires:	pkgconfig(libusb-1.0)
BuildRequires:	pkgconfig(zlib)

Requires:	qt6-qtdeclarative
Requires:	systemd

%description
Desktop application for updating Flipper Zero firmware via PC.

  *  Update Flipper's firmware and supplemental data with a press of one button
  *  Repair a broken firmware installation
  *  Stream Flipper's display and control it remotely
  *  Install firmware from a .dfu file
  *  Backup and restore settings, progress and pairing data
  *  Automatic self-update feature
  *  Command line interface

%files
%license LICENSE
%doc README.md screenshot.png
%{_bindir}/*
%{_libdir}/qFlipper/
%{_datadir}/applications/qFlipper.desktop
%{_iconsdir}/hicolor/*/apps/qFlipper.png
%{_metainfodir}/one.flipperzero.qflipper.metainfo.xml
%config %{_udevrulesdir}/42-flipperzero.rules

#---------------------------------------------------------------------------

%prep
%autosetup -p1 -n qFlipper-%{version}

# set the version
sed -i qflipper_common.pri \
	-e 's/$$GIT_VERSION/%{version}/' \
	-e 's/$$GIT_COMMIT/%{shortcommit}/' \
	-e 's/$$GIT_TIMESTAMP/%{timestamp}/'

# fix the plugins library path
sed -e 's:/lib/:/%{_lib}/:' \
	-i backend/applicationbackend.cpp plugins/flipperproto0/flipperproto0.pro

%build
%qmake_qt6 \
	PREFIX=%{_prefix} \
	CONFIG+=qtquickcompiler \
	DEFINES+=DISABLE_APPLICATION_UPDATES
%make_build

%install
%make_install INSTALL_ROOT=%{buildroot}

# appdata file
install -Dpm0644 -t %{buildroot}%{_metainfodir} %{SOURCE3}


%changelog
* Mon Aug 12 2024 daviddavid <daviddavid> 1.3.3-2.mga10
+ Revision: 2086275
- use upstream udev rules files (mga#32694)
- add missing runtime dependency on qt6-qtdeclarative

* Sat Nov 25 2023 daviddavid <daviddavid> 1.3.3-1.mga10
+ Revision: 2009617
- new version: 1.3.3

* Sun Jul 02 2023 daviddavid <daviddavid> 1.3.2-1.mga9
+ Revision: 1963479
- initial package qflipper

